*"表題 格子名称のチェック GTOOL3(GUAXCK)
*
*"履歴 90/08/19 沼口  敦
*
*
*********************************************************************
*"         << 格子名称のチェック >>
*********************************************************************
      SUBROUTINE GUAXCK
     I         ( HHEAD1, HHEAD2,
     O           ICHK            )
*
      CHARACTER  HHEAD1 ( * )*(*)        !" ヘッダー1
      CHARACTER  HHEAD2 ( * )*(*)        !" ヘッダー1
      INTEGER    ICHK                    !" 軸が合致していれば0
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HAITM1      *(NCC)
      CHARACTER  HAITM2      *(NCC)
*
      ICHK = 0
*
      CALL GHCGET ( HHEAD1, 'AITM1', HAITM1 )
      CALL GHCGET ( HHEAD2, 'AITM1', HAITM2 )
      IF ( HAITM1 .NE. HAITM2 ) THEN
         ICHK = ICHK + 1
      ENDIF
*
      CALL GHCGET ( HHEAD1, 'AITM2', HAITM1 )
      CALL GHCGET ( HHEAD2, 'AITM2', HAITM2 )
      IF ( HAITM1 .NE. HAITM2 ) THEN
         ICHK = ICHK + 2
      ENDIF
*
      CALL GHCGET ( HHEAD1, 'AITM3', HAITM1 )
      CALL GHCGET ( HHEAD2, 'AITM3', HAITM2 )
      IF ( HAITM1 .NE. HAITM2 ) THEN
         ICHK = ICHK + 4
      ENDIF
*
      RETURN
      END
